-- genera una estela de humo

-- deberia inicializarse a 0 ? funcionara asi?
if StaticTiempoEstela == nil then
   StaticTiempoEstela = FRAMETIME
else
   StaticTiempoEstela = StaticTiempoEstela + FRAMETIME
end

-- cada 10 ms
if StaticTiempoEstela > 0.1 then
   StaticTiempoEstela = 0

   local tipoParticula = PART_HUMO
	local tamax = 0.07
	local tamay = 0.07
	local inix = Accion(GET_X)
	local iniy = Accion(GET_Y)
	local velx = 0.003
	local vely = 0.003
   local modulo = 0
	local origen = 1 -- 1 -> bicho
	local tiempofin = 0.5 
   Accion(INSERTA_PARTICULA, tipoParticula,tamax,tamay,inix,iniy,velx,vely,modulo,origen,tiempofin,1,true)
end
